function setup() {
    const main_schema = require('./../defs/mixedplanner/input_plan.json');

    let additional_schemas = [];

    additional_schemas.push(require('./../defs/common/basic_types.json'));
    additional_schemas.push(require('./../defs/common/gender.json'));
    additional_schemas.push(require('./../defs/common/date_time.json'));
    additional_schemas.push(require('./../defs/common/client.json'));
    additional_schemas.push(require('./../defs/common/version.json'));
    additional_schemas.push(require('./../defs/common/language.json'));
    additional_schemas.push(require('./../defs/common/location.json'));
    additional_schemas.push(require('./../defs/common/weekday.json'));
    additional_schemas.push(require('./../defs/mixedplanner/input_worker.json'));
    additional_schemas.push(require('./../defs/mixedplanner/location_site.json'));
    additional_schemas.push(require('./../defs/mixedplanner/meta.json'));
    additional_schemas.push(require('./../defs/mixedplanner/parameters.json'));
    additional_schemas.push(require('./../defs/mixedplanner/input_task.json'));
    additional_schemas.push(require('./../defs/mixedplanner/obstacle.json'));
    additional_schemas.push(require('./../defs/mixedplanner/history_task.json'));
    additional_schemas.push(require('./../defs/mixedplanner/history_assignment.json'));
    additional_schemas.push(require('./../defs/mixedplanner/history_worker.json'));
    additional_schemas.push(require('./../defs/mixedplanner/history.json'));
    additional_schemas.push(require('./../defs/mixedplanner/vehicletype.json'));
    additional_schemas.push(require('./../defs/mixedplanner/traveloverride.json'));
    additional_schemas.push(require('./../defs/mixedplanner/traveloverride_dense.json'));
    additional_schemas.push(require('./../defs/mixedplanner/traveloverride_sparse.json'));

    return {
        main_schema: main_schema,
        additional_schemas: additional_schemas
    };
}

module.exports = setup();